#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	CDB_File - Perl extension for access to cdb databases
Summary(pl.UTF-8):	CDB_File - rozszerzenie Perla umożliwiające dostęp do baz cdb
Name:		perl-CDB_File
Version:	0.97
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CDB_File/CDB_File-%{version}.tar.gz
# Source0-md5:	22fd84f6b2176528001835eae706e66d
URL:		http://search.cpan.org/dist/CDB_File/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDB_File is a module which provides a Perl interface to Dan Berstein's
cdb package. cdb is a fast, reliable, lightweight package for creating
and reading constant databases.

%description -l pl.UTF-8
CDB_File jest modułem stanowiącym interfejs perlowy do pakietu cdb
Dana Bersteina. cdb jest szybkim, niezawodnym, lekkim pakietem do
odczytu i tworzenia stałych baz danych. 

%prep
%setup -q -n CDB_File-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ACKNOWLEDGE CHANGES
%{perl_vendorarch}/CDB_File.pm
%dir %{perl_vendorarch}/auto/CDB_File
%attr(755,root,root) %{perl_vendorarch}/auto/CDB_File/CDB_File.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CDB_File.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1165f9b
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 91f8a1c
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1c9b665
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e33a22f
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e1b9540
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7e095f7
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Tue Sep 24 2013 Elan Ruusamäe <glen@delfi.ee> 597a0dc
- release 2 (by relup.sh)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 6427dfa
- up to 0.97

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> e6657cb
- updated to 0.96

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 917bb11
- generic URL

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d93b76
- up to 0.95

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 4c1f836
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ec672b
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 8e123aa
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e1e1379
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f840b84
- converted to UTF-8

* Thu May 06 2004 ankry <ankry@pld-linux.org> 235adac
- fixed perl-devel BR

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 7659392
- license/summary/description fixes

* Mon Dec 01 2003 migo <migo@pld-linux.org> c761b0b
- up to 0.94, added tests, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> d6f7351
- spaces -> tab

